Best way to get the most updated cfw?

Discussion in 'PSP - Games & Content' started by imtony, Sep 16, 2009.

Sep 16, 2009
  1. imtony
    OP

    Member imtony GBAtemp Regular

    Joined:
    Mar 14, 2007
    Messages:
    100
    Country:
    United States
    I'm on 3.71m33-4 still and was wondering what's the best version to use now and what are the advantages to using it? And whats the best way to update to the latest version? I have not touched my PSP in almost a year, but I would like to get back into it. And what version of the PSP is unhackable? I want to get a slimmer PSP as I have the Phat one right now.
     
  2. Chris_Skylock

    Member Chris_Skylock GBAtemp Advanced Maniac

    Joined:
    Dec 26, 2008
    Messages:
    1,501
    Location:
    Philippines
    Country:
    Philippines
    DO NOT GET THE BLACK PSP SLIM AS IT'S A TA-088v3.

    Check today's PSP as they're all 5.50 now

    Buy an older PSP slim or a limited edition like DAXTER or buy used (be careful)

    I got a used God of War Red PSP 2001 that's TA-088v1
     
  3. iceache

    Member iceache GBAtemp Regular

    Joined:
    Jul 6, 2007
    Messages:
    155
    Country:
    Canada
    Network Update, thats how.
     
  4. imtony
    OP

    Member imtony GBAtemp Regular

    Joined:
    Mar 14, 2007
    Messages:
    100
    Country:
    United States
    What are some of the new features of the newest fw?
     
  5. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Network Update on 3.71 M33-4 and you'll end up on OFW. Simplest way to update is to grab the 5.00M33-6 update and the 5.00 OFW eboot and run the M33 update as detailed in the readme.
     
  6. iceache

    Member iceache GBAtemp Regular

    Joined:
    Jul 6, 2007
    Messages:
    155
    Country:
    Canada
    Funny, cuz I went from 3.71 m33-4 and did a network update and im on 5.00m33-6 now.. funny how that worked.
     
  7. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Sure is....because the M33 Network Update was implemented in 3.80 M33, so that either makes you mistaken or someone failing to make me look stupid.
     
  8. iceache

    Member iceache GBAtemp Regular

    Joined:
    Jul 6, 2007
    Messages:
    155
    Country:
    Canada
    Just mistaken.
     

Share This Page